#!/usr/bin/env python
# -*- coding: utf-8 -*-
###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# =============================================================================
## @file Parallel.py 
#
#  Useful utilities for multiprocessing and parallel processing for Ostap
#  Actualy it is just a little bit upgraded version of original
#  GaudiMP.Parallel module developed by Pere MATO Pere.Mato@cern.ch
#
#  @author Vanya BELYAEV Ivan.Belyaev@itep.ru
#  @date   2016-02-23
# =============================================================================
"""   Useful utilities for multiprocessing and parallel processing for Ostap
Actualy it is just a little bit upgraded version of original
GaudiMP.Parallel module developed by Pere MATO Pere.Mato@cern.ch
"""
# =============================================================================
__author__  = 'Vanya BELYAEV Ivan.Belyaev@itep.ru'
__date__    = '2016-02-23'
__all__     = (
    'Task'        , ## the base class for task
    'WorkManager' , ## task manager 
    )
# =============================================================================
from Ostap.Logger import getLogger
if '__main__' == __name__ : logger = getLogger ( 'Ostap.Parallel')
else                      : logger = getLogger ( __name__         ) 
# =============================================================================
## try:

##     raise ImportError ("Trigger import error fro ParallelPathos" )

##     from Ostap.ParallelPathos import Task, WorkManager 
##     logger.info  ('Use Task and TaskManager from Ostap.ParallelPathos')
    
## except:
    
##     logger.error ("Can't import Ostap.ParallelPathos" , exc_info = True )
##     from GaudiMP.Parallel     import Task, WorkManager
##     logger.info  ('Use Task and TaskManager from GaudiMP.Parallel'    )

import GaudiMP.Parallel as MP
Task = MP.Task
class  WorkManager(MP.WorkManager):
    def __init__( self, ncpus='autodetect', ppservers=None , silent = False ) :
        MP.WorkManager.__init__ ( self , ncpus , ppservers )
        self.silent = True if silent else False
    def _printStatistics(self):
        if not self.silent :
            return MP.WorkManager._printStatistics( self ) 

logger.info  ('Use Task and TaskManager from GaudiMP.Parallel'    )
    
  
# =============================================================================
if '__main__' == __name__ :
    
    from Ostap.Line import line 
    logger.info ( __file__ + '\n' + line  )
    logger.info ( 80*'*' )
    logger.info ( __doc__  )
    logger.info ( 80*'*' )
    logger.info ( ' Author  : %s' %         __author__    ) 
    logger.info ( ' Date    : %s' %         __date__      )
    logger.info ( ' Symbols : %s' %  list ( __all__     ) )
    logger.info ( 80*'*' ) 


# =============================================================================
# The END 
# =============================================================================
