#!/usr/bin/env python 
###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# =============================================================================
# =============================================================================
## @file
# 
#  Helper python module to define the input data for LoKi example
#
#  @author Vanya BELYAEV Ivan.Belyaev@nikhef.nl
#  @date   2008-10-04
# =============================================================================
__author__  = " Vanya BELYAEV Ivan.Belyaebv@nikhef.nl "
# =============================================================================
__all__ = (
    'Files'  , ## useful for iEventSelector.open input (GaudiPython) 
    'Inputs' , ## useful for EventSelector ( Input = ... ) (Configurables)
    'LFNs'     ## the list of proper LFNs (for Ganga&Dirac?)
    ) 
# =============================================================================

Files_MCSELECTED = (
    'Bs2DsPi_1.dst' ,
    'Bs2DsPi_2.dst' ,
    'Bs2DsPi_3.dst' ,
    'Bs2DsPi_4.dst'   
    )
LFNs = []


from Bs2Jpsiphi_mm_data import checkFiles, getInputs


Files = checkFiles ( Files_MCSELECTED ) 

if not Files : Files = LFNs     
Inputs = getInputs ( Files )   

# =============================================================================
if '__main__' == __name__ :  ## just for pure testing purposes 
    print 'Files: '
    for f in Files  : print '\t' , f 
    print 'Inputs: '
    for i in Inputs : print '\t' , i 

# =============================================================================
# The END 
# =============================================================================



