#!/usr/bin/env python
###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# =============================================================================
# =============================================================================
## @file  CommonMCParticles/StandardMCMCIntermediates.py
#  configuration file for 'StandardMC MC Intermediate particles
#  @author Patrick Koppenburg
#  @date 2009-02-18
# =============================================================================
"""
Configuration file for 'StandardMC MC Intermediate' particles 
"""
__author__  = "Patrick Koppenburg, Conor Fitzpatrick"
# =============================================================================

_locations = {} 

from CommonMCParticles.StandardMCKstar import *
_locations.update ( locations )
from CommonMCParticles.StandardMCPhi import *
_locations.update ( locations )
from CommonMCParticles.StandardMCD0 import *
_locations.update ( locations )
from CommonMCParticles.StandardMCDplus import *
_locations.update ( locations )
from CommonMCParticles.StandardMCDsplus import *
_locations.update ( locations )
from CommonMCParticles.StandardMCDstar import *
_locations.update ( locations )
from CommonMCParticles.StandardMCJpsi import *
_locations.update ( locations )
from CommonMCParticles.StandardMCTau import *
_locations.update ( locations )

# redefine the locations 
locations = _locations

## ============================================================================
if '__main__' == __name__ :

    print __doc__
    print __author__
    from CommonParticles.Utils import locationsDoD
    print locationsDoD ( locations )
    
# =============================================================================
# The END 
# =============================================================================


